<?php
ob_start();
define('NTOP', 1);
$title = 'Кабинет';
require_once ('../system/connect.php');
require_once ('../system/core.php');
require_once ('../system/function.php');
require_once ('head.php');
reg();
$mod = isset($_GET['mod']) ? (string)$_GET['mod'] : '';
switch($act)
{
default:
$platforms = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."sait` WHERE `id_user` = '".$user_data['id']."'"));
echo '<div class="top"><div class="title2"><font color="#fff">Кабинет</font></div><div class="clear"></div></div>';
echo '<div class="main">';
echo '<a href="http://'.$set['home'].'/m/office/platforms">Площадки</a> ('.$platforms.' из '.$set['max_platforms'].')<br/>';
echo '<a href="http://'.$set['home'].'/m/office/settings">Настройки аккаунта</a><br/>';
echo '<a href="http://'.$set['home'].'/m/office.php?act=mail">Изменить E-mail</a><br/>';
echo '<a href="http://'.$set['home'].'/m/office.php?act=pass">Изменить пароль</a><br/>';
echo '<a href="http://'.$set['home'].'/m/office/code">Код счетчика</a></div>';
break;

case 'mail':
echo '<div class="top"><div class="title2"><font color="#fff">Смена E-mail</font></div><div class="clear"></div></div>';
if(isset($_POST['ok'])){
$mail = filter($_POST['mail']);
$error = '';
if (!empty($mail) and !preg_match('#^([A-Za-z0-9_\-\.])+\@([A-Za-z0-9_\-\.])+(\.([A-Za-z0-9])+)+$#', $mail)){
$error .= 'Вы ввели неверный адрес e-mail, например admin@mail.ru!<br>';
}
if (!empty($mail) and (mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."users` WHERE `mail` = '".$mail."' LIMIT 1")) != 0)){
$error .= 'Пользователь с таким e-mail уже зарегистрирован!<br>';
}

if(!empty($error)){
echo '<div class="navi3">'.$error.'<a href="/m/office.php?act=mail">Назад</a></div>';
}else{
$headers .= "Content-Type: text/plain; charset=utf-8\n";
mail($mail, $subject, $body, $headers);
mysql_query("UPDATE `".$prefix."users` SET `mail` = '".$mail."' WHERE `id` = '".$user_data['id']."'");

echo '<div class="navi3">E-mail успешно изменен!<br></div>';

}
}else{
echo '<div class="main"><form action="/m/office.php?act=mail" method="post">
<b>E-mail :</b><br><br>
<input name="mail" type="text" value="'.$user_data['mail'].'" ><br><br>
<input name="ok" type="submit" value="Сохранить" ></form></div>';
}
break;

case 'pass':
echo '<div class="top"><div class="title2"><font color="#fff">Смена пароля</font></div><div class="clear"></div></div>';
if(isset($_POST['ok'])){
$pass = filter($_POST['password']);
$pass1 = filter($_POST['password1']);
$error = '';
if($pass != $pass1){
$error .= 'Пароли не совпадают!';
}

if(!empty($error)){
echo '<div class="navi3">'.$error.'<a href="/m/office.php?act=pass">Назад</a>';
}else{
$headers .= "Content-Type: text/plain; charset=utf-8\n";
mail($mail, $subject, $body, $headers);
mysql_query("UPDATE `".$prefix."users` SET  `password` = '".md5($pass)."', `mail` = '".$mail."' WHERE `id` = '".$user_data['id']."'");

echo '<div class="navi3">Пароль успешно изменен!<br></div>';

}
}else{
echo '<div class="main"><form action="/m/office.php?act=pass" method="post">
<b>Новый Пароль:</b><br>
<input name="password" type="text" value="" >
<br><b>Повторите пароль:</b><br>
<input name="password1" type="text" value="" ><br/><br>
<input name="ok" type="submit" value="Сохранить" ></form></div>';
}
break;

case 'platforms':
$platform = mysql_query("SELECT * FROM `".$prefix."sait` WHERE `id_user` = '".$user_data['id']."'");
$platforms = mysql_num_rows($platform);
echo '<div class="top"><div class="title2"><font color="#fff">Площадки | <small>Всего площадок: <strong>'.$platforms.'</strong> из <strong>'.$set['max_platforms'].'</strong></small></font></div><div class="clear"></div></div>';
if($platforms == 0)
{
echo '<div class="main">';
echo 'На данный момент у вас нет площадок.<br/>';
echo '<a href="http://'.$set['home'].'/m/office/addPlatform">Добавить площадку</a><br/>';
echo '</div>';
}
else
{
$total=intval(($platforms-1)/$page_platforms)+1;
$page=abs(intval($_GET['page']));
if(empty($page) OR $page < 0)
{
$page = 1;
}
if($page > $total)
{
$page = $total;
}
$past=intval($platforms/$page_platforms);
$start=$page*$page_platforms-$page_platforms;
$platform = mysql_query("SELECT * FROM `".$prefix."sait` WHERE `id_user` = '".$user_data['id']."' ORDER BY `id` DESC LIMIT ".$start.",".$page_platforms."");
while($row = mysql_fetch_array($platform))
{
$status = $row['status'] == 1 ? '<font color=green>Проверена</font>' : '<font color=red>На модерации</font>';
$moder = ($row['status'] == 0 AND $set['auto_moderacia'] == 1) ? '[<a href = "http://'.$set['home'].'/m/office.php?act=auto_moderacia&id='.$row['id'].'"><font color=red>Автомодерация</font></a>]' : '';
$start++;
echo '<div class="navi3"><a href="http://'.$set['home'].'/out/'.$row['id'].'"><strong>'.$row['url'].'</strong></a> (ID: '.$row['id'].' | '.$status.') <br/></div>';
echo '<div class="main">';
if(mb_strlen($row['about']) > 50)
{
$text = substr($row['about'],0,50);
echo ''.$text.'...<br/>';
}
else
{
echo ''.$row['about'].'<br/>';
}

echo '
<a href="http://'.$set['home'].'/m/office/editPlatform/'.$row['id'].'">(Редактировать)</a> |
<a href="http://'.$set['home'].'/m/office/deletePlatform/'.$row['id'].'"> (Удалить)</a> |
<a href="http://'.$set['home'].'/stats/'.$row['id'].'"> (Статистика)</a> |
<a href="http://'.$set['home'].'/m/office/code/'.$row['id'].'"> (Код счётчика)</a></div>';
}
navigation($platforms,$page_platforms,$page,'http://'.$set['home'].'/m/office.php?act=platforms&',$total);
echo '<div class="main"><a href="http://'.$set['home'].'/m/office/addPlatform">Добавить площадку</a></div>';
}
break;

case 'add_platform':
echo '<div class="top"><div class="title2"><font color="#fff">Добавление площадки</font></div><div class="clear"></div></div>';
if(!isset($_POST['ok']))
{
$image_big = mysql_query("SELECT * FROM `".$prefix."images` WHERE `type` = 'big'");
$image_small = mysql_query("SELECT * FROM `".$prefix."images` WHERE `type` = 'small'");
echo '<div class="main">';
echo '
<form action="http://'.$set['home'].'/m/office/addPlatform/2" method="post">
URL сайта(без http:// и т.п)(max. 35):<br/>
<input type="text"  class="input" name="url" maxlength="35" value="" /><br/>
Описание сайта(max. 250):<br/>
<textarea name="about" cols="38" rows="8"></textarea><br/>
Категория:<br/>
<select name="cat">
';
$cats = mysql_query("SELECT * FROM `".$prefix."cat` ORDER BY `position` ASC");
if(mysql_num_rows($cats) > 0)
{
while($cat = mysql_fetch_assoc($cats))
{
echo '<option value="'.$cat['id'].'">'.$cat['name'].'</option>';
}
}
echo '</select><br/><br/>';
echo 'Выберите счётчик:<br/>';

echo '<small><strong>Для главной страницы сайта:</strong></small><br/>';
while($count_big = mysql_fetch_array($image_big))
{
echo '<input type="radio" name="imagebig" value="'.$count_big['name'].'">';
echo '<img src="http://'.$set['home'].'/images/'.$count_big['name'].'.gif" alt=""><br/>';
}

echo '<hr/>';
echo '<small><strong>Для остальных страниц сайта <font size=2>*</font></strong></small><br/>';
while($count_small = mysql_fetch_array($image_small))
{
echo '<input type="radio" name="imagesm" value="'.$count_small['name'].'">';
echo '<img src="http://'.$set['home'].'/images/'.$count_small['name'].'.gif" alt=""><br/>';
}

echo '<font size=2>*</font></strong> - Для остальных страниц сайта, установка счётчика по вашему желанию.<br/><input name="ok" type="submit" value="Добавить" />
</form>
</div>';
}
else
{
$platform = mysql_query("SELECT * FROM `".$prefix."sait` WHERE `id_user` = '".$user_data['id']."'");
$platforms_count = mysql_num_rows($platform);
if($platforms_count >= $set['max_platforms'])
{
echo '<div class="error">';
echo 'Достигнут лимит площадок <strong>'.$set['max_platforms'].'</strong> , удалите лишние площадки или создайте новый аккаунт!<br/>';
echo '<a href="http://'.$set['home'].'/m/office/platforms">К площадкам</a><br/>';
echo '</div>';
}
else
{
$url = htmlspecialchars(trim($_POST['url']));
$about = htmlspecialchars(trim($_POST['about']));
$cat = intval($_POST['cat']);
$imagebig = htmlspecialchars(trim($_POST['imagebig']));
$imagesm = htmlspecialchars(trim($_POST['imagesm']));
$error = '';
$isset_cat = mysql_num_rows(mysql_query("SELECT `id` FROM `".$prefix."cat` WHERE `id` = '".$cat."'"));
$isset_image = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."images` WHERE `name` = '".$imagebig."'"));
if($isset_image == 0)
{
$error .= 'Ошибка! Нет такого изображения!<br/>';
}
if($isset_cat == 0)
{
$error .= 'Ошибка! Нет такой категории!<br/>';
}
if(empty($url) OR empty($about) OR empty($cat) OR empty($imagebig) OR empty($imagesm))
{
$error .= 'Ошибка! Не заполнены поля!<br/>';
}
if(mb_strlen($url) >= 35)
{
$error .= 'Ошибка! Поле "URL сайта" не должно быть больше 35 символов!<br/>';
}
if(mb_strlen($name) >= 35)
{
$error .= 'Ошибка! Поле "Название сайта" не должно быть больше 35 символов!<br/>';
}
if(mb_strlen($about) >= 250)
{
$error .= 'Ошибка! Поле "Описание сайта" не должно быть больше 250 символов!<br/>';
}
if(!empty($error))
{
echo '<div class="error">';
echo $error;
echo '<a href="http://'.$set['home'].'/m/office/addPlatform">Назад</a><br/>';
}
else
{
$insert_platform = mysql_query("INSERT INTO `".$prefix."sait` SET
`id_user` = '" . $user_data['id'] . "',
`about` = '" . mysql_real_escape_string($about) . "',
`category` = '" . $cat . "',
`url` = '" . mysql_real_escape_string($url) . "',
`imagebig` = '" . mysql_real_escape_string($imagebig) . "',
`imagesm` = '" . mysql_real_escape_string($imagesm) . "',
`status` = '" . $set['moderacia'] . "'");
if($insert_platform)
{
echo '<div class="main">';
echo 'Площадка успешно добавлена!<br/>';
echo '<a href="http://'.$set['home'].'/m/office/platforms">К площадкам</a><br/>';
echo '</div>';
}
else
{
echo '<div class="error">';
echo 'Площадка не добавлена , попробуйте снова!<br/>';
echo '<a href="http://'.$set['home'].'/m/office/addPlatform">Назад</a><br/>';
echo '</div>';
}
}
}
}
break;
case 'edit_platform':
if(!isset($_POST['ok']))
{
echo '<div class="top"><div class="title2"><font color="#fff">Изменение площадки</font></div><div class="clear"></div></div>';
$platform = mysql_query("SELECT * FROM `".$prefix."sait` WHERE `id` = '".$id."' AND `id_user` = '".$user_data['id']."' LIMIT 1");
$platform_count = mysql_num_rows($platform);
$user_platform = mysql_fetch_array($platform);
$image_big = mysql_query("SELECT * FROM `".$prefix."images` WHERE `type` = 'big'");
$image_small = mysql_query("SELECT * FROM `".$prefix."images` WHERE `type` = 'small'");
if($platform_count > 0)
{
echo '<div class="main">';
echo '
<form action="http://'.$set['home'].'/m/office/editPlatform/2/'.$id.'" method="post">
URL сайта(без http:// и т.п)(max. 35):<br/>
<input type="text"  class="input" name="url" maxlength="35" value="'.$user_platform['url'].'" /><br/>
Описание сайта(max. 250):<br/>
<textarea name="about" cols="38" rows="8">'.$user_platform['about'].'</textarea><br/>
Категория:<br/>
<select name="cat">';
$cats = mysql_query("SELECT * FROM `".$prefix."cat` ORDER BY `position` ASC");
if(mysql_num_rows($cats) > 0)
{
while($cat = mysql_fetch_assoc($cats))
{
$selected = ($user_platform['category'] == $cat['id']) ? ' selected="selected"' : '';
echo '<option value="'.$cat['id'].'"'.$selected.'>'.$cat['name'].'</option>';
}
}
echo '</select><br/><br/>';
echo 'Выберите счётчик:<br/>';
echo '<small><strong>Для главной страницы сайта:</strong></small><br/>';
while($count_big = mysql_fetch_array($image_big))
{
$checked = ($user_platform['imagebig'] == $count_big['name']) ? ' checked="checked"' : '';
echo '<input type="radio" name="imagebig" value="'.$count_big['name'].'"'.$checked.'>';
echo '<img src="http://'.$set['home'].'/images/'.$count_big['name'].'.gif" alt=""><br/>';
}

echo '<hr/>';
echo '<small><strong>Для остальных страниц сайта <font size=2>*</font></strong></small><br/>';
while($count_small = mysql_fetch_array($image_small))
{
$checked = ($user_platform['imagesm'] == $count_small['name']) ? ' checked="checked"' : '';
echo '<input type="radio" name="imagesm" value="'.$count_small['name'].'"'.$checked.'>';
echo '<img src="http://'.$set['home'].'/images/'.$count_small['name'].'.gif" alt=""><br/>';
}

echo '<font size=2>*</font></strong> - Для остальных страниц сайта, установка счётчика по вашему желанию.<br/><input name="ok" type="submit" value="Изменить" />
</form>
</div>';
}
else
{
echo '<div class="error">';
echo 'Данной площадки не существует!<br/>';
echo '<a href="http://'.$set['home'].'/m/office/platforms">Назад</a><br/>';
echo '</div>';
}
}
else
{
$cat = intval($_POST['cat']);
$imagebig = htmlspecialchars(trim($_POST['imagebig']));
$imagesm = htmlspecialchars(trim($_POST['imagesm']));
$url = htmlspecialchars(trim($_POST['url']));
$url = str_replace("http://","",$url);
$about = htmlspecialchars(trim($_POST['about']));
$platform_isset = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."sait` WHERE `id` = '".$id."' AND `id_user` = '".$user_data['id']."' LIMIT 1"));
$error = '';
$isset_cat = mysql_num_rows(mysql_query("SELECT `id` FROM `".$prefix."cat` WHERE `id` = '".$cat."'"));
$isset_image = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."images` WHERE `name` = '".$imagebig."'"));
if($isset_image == 0)
{
$error .= 'Ошибка! Нет такого изображения!<br/>';
}
if($isset_cat == 0)
{
$error .= 'Ошибка! Нет такой категории!<br/>';
}
if(empty($cat) OR empty($imagebig) OR empty($imagesm) OR empty($url) OR empty($about))
{
$error .= 'Ошибка!Не заполнены поля!<br/>';
}
if($platform_isset == 0)
{
$error .= 'У вас нет такой площадки!<br/>';
}
if(!empty($error))
{
echo '<div class="error">';
echo $error;
echo '<a href="http://'.$set['home'].'/m/office/platforms">К площадкам</a><br/>';
}
else
{
$update_platform = mysql_query("UPDATE `".$prefix."sait` SET
`category` = '" . $cat . "',
`imagebig` = '" . mysql_real_escape_string($imagebig) . "',
`imagesm` = '" . mysql_real_escape_string($imagesm) . "',
`url` = '" . mysql_real_escape_string($url) . "',
`about` = '" . mysql_real_escape_string($about) . "',
`status` = '" . $set['moderacia'] . "'
WHERE `id` = '".$id."'");
if($update_platform)
{
echo '<div class="main">';
echo 'Площадка успешно отредактирована!<br/>';
echo '<a href="http://'.$set['home'].'/m/office/platforms">К площадкам</a><br/>';
echo '</div>';
}
else
{
echo '<div class="error">';
echo 'Площадка не отредактирована , попробуйте снова!<br/>';
echo '<a href="http://'.$set['home'].'m/office/editPlatform/'.$id.'">Назад</a><br/>';
echo '</div>';
}
}
}
break;
case 'del_platform':
$platform_isset = mysql_query("SELECT * FROM `".$prefix."sait` WHERE `id` = '".$id."' AND `id_user` = '".$user_data['id']."' LIMIT 1");
$platform_isset_c = mysql_num_rows($platform_isset);
if($platform_isset_c > 0)
{
$platform = mysql_fetch_array($platform_isset );
echo '<div class="top"><div class="title2"><font color="#fff">Удаление площадки <strong>'.$platform['name'].'</strong></font></div><div class="clear"></div></div>';
if(!isset($_GET['ok']))
{
echo '<div class="main">';
echo 'Вы действительно хотите удалить площадку <strong>'.$platform['name'].'</strong>?<br/>';
echo '<a href="http://'.$set['home'].'/m/office/deletePlatform/'.$id.'/ok">Да</a> | <a href="http://'.$set['home'].'/m/office/platforms">Нет</a><br/>';
echo '</div>';
}
else
{
$del_hosts = mysql_query("DELETE FROM `".$prefix."hosts` WHERE `id_sait` = '".$id."'");
$del_hits = mysql_query("DELETE FROM `".$prefix."hits` WHERE `id_sait` = '".$id."'");
$del_online = mysql_query("DELETE FROM `".$prefix."sait_online` WHERE `id_sait` = '".$id."'");
$del_platform = mysql_query("DELETE FROM `".$prefix."sait` WHERE `id` = '".$id."'");
if($del_hosts AND $del_hits AND $del_online AND $del_platform)
{
echo '<div class="main">';
echo 'Площадка успешно удалена!<br/>';
echo '<a href="http://'.$set['home'].'/m/office">В кабинет</a><br/>';
echo '</div>';
}
else
{
echo '<div class="error">';
echo 'В процессе удаления произошла ошибка!<br/>';
echo '<a href="http://'.$set['home'].'/m/office/platforms">К площадкам</a><br/>';
echo '</div>';
}
}
}
else
{
echo '<div class="error">';
echo 'У вас нет такой площадки!<br/>';
echo '<a href="http://'.$set['home'].'/m/office/platforms">К площадкам</a><br/>';
echo '</div>';
}
break;
case 'code':
echo '<div class="top"><div class="title2"><font color="#fff">HTML-код , для установки на сайте</font></div><div class="clear"></div></div>';
if(!isset($_GET['id']))
{
echo '<div class="main">';
echo 'Код счётчика для главной страницы:<br/>';
echo '<strong>'.htmlspecialchars('<a').' href="http://'.$set['home'].'/go/<font color=red>ID_ПЛОЩАДКИ</font>">'.htmlspecialchars('<img').' src="http://'.$set['home'].'/image/<font color=red>ID_ПЛОЩАДКИ</font>" alt="'.$set['home'].'" />'.htmlspecialchars('<').'/а></strong> <br/>';
echo '<hr/>';
echo 'Код счётчика для остальных страниц:<br/>';
echo '<strong>'.htmlspecialchars('<a').' href="http://'.$set['home'].'/go/<font color=red>ID_ПЛОЩАДКИ</font>">'.htmlspecialchars('<img').' src="http://'.$set['home'].'/imageOther/<font color=red>ID_ПЛОЩАДКИ</font>" alt="'.$set['home'].'" />'.htmlspecialchars('<').'/а></strong> <br/>';
echo '<hr/>';
echo 'Где <strong>ID_ПЛОЩАДКИ</strong> - ID площадки , счётчик которой вы хотите поставить , ID - показывается рядом с площадкой!<br/>';
echo '</div>';
}
else
{
$id = intval($_GET['id']);
echo '<div class="main">';
echo 'Код счётчика для главной страницы (ID площадки: '.$id.'):<br/>';
echo '<strong>'.htmlspecialchars('<a').' href="http://'.$set['home'].'/go/'.$id.'">'.htmlspecialchars('<img').' src="http://'.$set['home'].'/image/'.$id.'" alt="'.$set['home'].'" />'.htmlspecialchars('<').'/а><br/></strong>';

echo '<input type="text" name="" maxlength="200" class="do_button" value="'.htmlspecialchars('<a href="http://'.$set['home'].'/go/'.$id.'"><img src="http://'.$set['home'].'/image/'.$id.'" alt="'.$set['home'].'" /></a>').'"/><br/>';
echo '<hr/>';
echo 'Код счётчика для остальных страниц (ID площадки: '.$id.'):<br/>';
echo '<strong>'.htmlspecialchars('<a').' href="http://'.$set['home'].'/go/'.$id.'">'.htmlspecialchars('<img').' src="http://'.$set['home'].'/imageOther/'.$id.'" alt="'.$set['home'].'" />'.htmlspecialchars('<').'/а><br/></strong>';

echo '<input type="text" name="" maxlength="200" class="do_button" value="'.htmlspecialchars('<a href="http://'.$set['home'].'/go/'.$id.'"><img src="http://'.$set['home'].'/imageOther/'.$id.'" alt="'.$set['home'].'" /></a>').'"/><br/>';
echo '<hr/>';
echo '<a href="http://'.$set['home'].'/m/office">В кабинет</a><br/>';
echo '</div>';
}
break;
case 'settings':
echo '<div class="top"><div class="title2"><font color="#fff">Мои настройки</font></div><div class="clear"></div></div>';
if(!isset($_POST['ok']))
{
echo '<div class="main">';
echo '<form action="http://'.$set['home'].'/m/office/settings" method="post" name="form">';
echo 'Площадок на страницу в кабинете:<br/>';
echo '<input type="text" name="page_platforms" maxlength="2" class="do_button" value="'.$user_data['page_platforms'].'"/><br/>';
echo 'Элементов на страницу в статистике:<br/>';
echo '<input type="text" name="pages" maxlength="2" class="do_button" value="'.$user_data['pages'].'"/><br/>';
echo 'Сайтов на страницу в категории:<br/>';
echo '<input type="text" name="page_sait" maxlength="2" class="do_button" value="'.$user_data['page_sait'].'"/><br/>';
echo 'Сайтов на страницу Топ-100 (Главная стр.):<br/>';
echo '<input type="text" name="page_top" maxlength="2" class="do_button" value="'.$user_data['page_top'].'"/><br/>';
echo 'Новостей на страницу:<br/>';
echo '<input type="text" name="page_news" maxlength="2" class="do_button" value="'.$user_data['page_news'].'"/><br/>';
echo 'Комментариев к новостям на страницу:<br/>';
echo '<input type="text" name="page_newsc" maxlength="2" class="do_button" value="'.$user_data['page_newsc'].'"/><br/>';
echo 'Комментариев к сайтам на страницу:<br/>';
echo '<input type="text" name="page_sait_comments" maxlength="2" class="do_button" value="'.$user_data['page_sait_comments'].'"/><br/>';
echo '<input name="ok" type="submit" value="Сохранить" /></form></div>';
echo '</div>';
}
else
{
$page_platforms = abs(intval($_POST['page_platforms']));
$pages = abs(intval($_POST['pages']));
$page_sait = abs(intval($_POST['page_sait']));
$page_top = abs(intval($_POST['page_top']));
$page_news = abs(intval($_POST['page_news']));
$page_newsc = abs(intval($_POST['page_newsc']));
$page_sait_comments = abs(intval($_POST['page_sait_comments']));
$error = '';
if(empty($page_platforms) or empty($pages) or empty($page_sait) or empty($page_top) or empty($page_news) or empty($page_newsc) or empty($page_sait_comments))
{
$error .= 'Ошибка!Одно из полей не заполнено<br/>';
}
if(mb_strlen($pages) > 2)
{
$error .= 'Ошибка! Поле "Элементов на страницу в статистике" содержит больше 2 символов! <br/>';
}
if(mb_strlen($page_sait) > 2)
{
$error .= 'Ошибка! Поле "Сайтов на страницу в категории" содержит больше 2 символов! <br/>';
}
if(mb_strlen($page_platforms) > 2)
{
$error .= 'Ошибка! Поле "Площадок на страницу" содержит больше 2 символов! <br/>';
}
if(mb_strlen($page_top) > 2)
{
$error .= 'Ошибка! Поле "Сайтов на страницу Топ-100" содержит больше 2 символов! <br/>';
}
if(mb_strlen($page_news) > 2)
{
$error .= 'Ошибка! Поле "Новостей на страницу" содержит больше 2 символов! <br/>';
}
if(mb_strlen($page_newsc) > 2)
{
$error .= 'Ошибка! Поле "Комментариев к новостям на страницу" содержит больше 2 символов! <br/>';
}
if(mb_strlen($page_sait_comments) > 2)
{
$error .= 'Ошибка! Поле "Комментариев к сайтам на страницу" содержит больше 2 символов! <br/>';
}
if(!empty($error))
{
echo '<div class="error">';
echo $error;
echo '</div>';
echo '<a href="http://'.$set['home'].'/m/office/settings">Назад</a><br/>';
}
else
{
$up = mysql_query("UPDATE `".$prefix."users` SET `page_platforms` = '".$page_platforms."', `pages` = '".$pages."', `page_sait` = '".$page_sait."', `page_top` = '".$page_top."', `page_news` = '".$page_news."', `page_newsc` = '".$page_newsc."', `page_sait_comments` = '".$page_sait_comments."' WHERE `id` = '".$user_data['id']."'");
if($up)
{
echo '<div class="main">';
echo '<font color=green>Настройки успешно изменены!</font><br/>';
echo '</div>';
}
}
}
break;
case 'auto_moderacia':
if($id)
{
$platform_isset = mysql_query("SELECT * FROM `".$prefix."sait` WHERE `id` = '".$id."' AND `id_user` = '".$user_data['id']."' LIMIT 1");
$platform_isset_c = mysql_num_rows($platform_isset);
if($platform_isset_c > 0)
{
$us = mysql_fetch_array($platform_isset);
if($us['status'] == 0)
{
$sait = file_get_contents('http://'.$us['url']);
$preg = preg_quote('#<a href="http://'.$set['home'].'/go/'.$id.'"><img src="http://'.$set['home'].'/image/'.$id.'" alt="'.$set['home'].'" /></a>#iU');
if(preg_match($preg,$sait))
{
$up = mysql_query("UPDATE `".$prefix."sait` SET  `status` = '1' WHERE `id` = '".$id."'");
if($up)
{
echo '<div class="main">';
echo 'Сайт успешно активирован<br/>';
echo '</div>';
}
else
{
echo '<div class="error">';
echo 'Сайт не активирован<br/>';
echo '</div>';
}
}
}
else
{
echo '<div class="error">';
echo 'Сайт уже был ранее активирован<br/>';
echo '</div>';
}
}
}
break;
}

require_once ('foot.php');
?>
